package mdb

import (
	"os"
	"testing"

	"git.crumpington.com/private/mdb/testconn"
)

func TestShipping(t *testing.T) {
	run := func(name string, inner func(t *testing.T, db1 *DB, db2 *DB, network *testconn.Network)) {
		t.Run(name, func(t *testing.T) {
			root1, err := os.MkdirTemp("", "")
			must(err)
			defer os.RemoveAll(root1)
			root2, err := os.MkdirTemp("", "")
			must(err)
			defer os.RemoveAll(root2)

			db1 := OpenDB(root1, true)
			defer db1.Close()
			db2 := OpenDB(root2, false)
			defer db2.Close()

			inner(t, db1, db2, testconn.NewNetwork())
		})
	}

	run("simple", func(t *testing.T, db1, db2 *DB, network *testconn.Network) {
		// TODO
	})
}
